
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RMP400_SCAN_H
#define RMP400_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/rmp400PosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_RMP400_STATUSGENERIC_POSTER_STR (char** buf, struct RMP400_STATUSGENERIC_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_STATUS_POSTER_STR (char** buf, struct RMP400_STATUS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_REF_POSTER_STR (char** buf, struct RMP400_REF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_ODO_POSTER_STR (char** buf, struct RMP400_ODO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_MEPOS_POSTER_STR (char** buf, struct RMP400_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_STR (char** buf, struct RMP400_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_MAX_ACCEL (char** buf, struct RMP400_MAX_ACCEL *x, int nDim, int *dims );
int scan_buf_struct_RMP400_GYRO_ASSERV (char** buf, struct RMP400_GYRO_ASSERV *x, int nDim, int *dims );
int scan_buf_struct_RMP400_GYRO (char** buf, struct RMP400_GYRO *x, int nDim, int *dims );
int scan_buf_struct_RMP400_GYRO_PARAMS (char** buf, struct RMP400_GYRO_PARAMS *x, int nDim, int *dims );
int scan_buf_enum_RMP400_GYRO_MODE (char** buf, enum RMP400_GYRO_MODE *x, int nDim, int *dims );
int scan_buf_enum_GYRO_TYPE (char** buf, enum GYRO_TYPE *x, int nDim, int *dims );
int scan_buf_struct_RMP400_ODOMETRY_METHOD (char** buf, struct RMP400_ODOMETRY_METHOD *x, int nDim, int *dims );
int scan_buf_enum_RMP400_ODOMETRY_MODE (char** buf, enum RMP400_ODOMETRY_MODE *x, int nDim, int *dims );
int scan_buf_struct_RMP400_CART_3DCONFIG (char** buf, struct RMP400_CART_3DCONFIG *x, int nDim, int *dims );
int scan_buf_struct_RMP400_CART_3DSTATE (char** buf, struct RMP400_CART_3DSTATE *x, int nDim, int *dims );
int scan_buf_struct_RMP400_TRACK_PARAMS (char** buf, struct RMP400_TRACK_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_RMP400_VAR_PARAMS (char** buf, struct RMP400_VAR_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_RMP400_KINEMATICS_STR (char** buf, struct RMP400_KINEMATICS_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP_STATUS_STR (char** buf, struct RMP_STATUS_STR *x, int nDim, int *dims );
int scan_buf_enum_RMP_MODEL (char** buf, enum RMP_MODEL *x, int nDim, int *dims );
int scan_buf_struct_RMP400_STATUS_STR (char** buf, struct RMP400_STATUS_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP400_DATA_STR (char** buf, struct RMP400_DATA_STR *x, int nDim, int *dims );
int scan_buf_enum_RMP400_MODE (char** buf, enum RMP400_MODE *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_RMP400_MODE (char** buf, RMP400_MODE *x, int nDim, int *dims );
int scan_buf_RMP400_DATA_STR (char** buf, RMP400_DATA_STR *x, int nDim, int *dims );
int scan_buf_RMP400_STATUS_STR (char** buf, RMP400_STATUS_STR *x, int nDim, int *dims );
int scan_buf_RMP_MODEL (char** buf, RMP_MODEL *x, int nDim, int *dims );
int scan_buf_RMP_STATUS_STR (char** buf, RMP_STATUS_STR *x, int nDim, int *dims );
int scan_buf_RMP400_KINEMATICS_STR (char** buf, RMP400_KINEMATICS_STR *x, int nDim, int *dims );
int scan_buf_RMP400_VAR_PARAMS (char** buf, RMP400_VAR_PARAMS *x, int nDim, int *dims );
int scan_buf_RMP400_TRACK_PARAMS (char** buf, RMP400_TRACK_PARAMS *x, int nDim, int *dims );
int scan_buf_RMP400_CART_3DSTATE (char** buf, RMP400_CART_3DSTATE *x, int nDim, int *dims );
int scan_buf_RMP400_CART_3DCONFIG (char** buf, RMP400_CART_3DCONFIG *x, int nDim, int *dims );
int scan_buf_RMP400_ODOMETRY_MODE (char** buf, RMP400_ODOMETRY_MODE *x, int nDim, int *dims );
int scan_buf_RMP400_ODOMETRY_METHOD (char** buf, RMP400_ODOMETRY_METHOD *x, int nDim, int *dims );
int scan_buf_GYRO_TYPE (char** buf, GYRO_TYPE *x, int nDim, int *dims );
int scan_buf_RMP400_GYRO_MODE (char** buf, RMP400_GYRO_MODE *x, int nDim, int *dims );
int scan_buf_RMP400_GYRO_PARAMS (char** buf, RMP400_GYRO_PARAMS *x, int nDim, int *dims );
int scan_buf_RMP400_GYRO (char** buf, RMP400_GYRO *x, int nDim, int *dims );
int scan_buf_RMP400_GYRO_ASSERV (char** buf, RMP400_GYRO_ASSERV *x, int nDim, int *dims );
int scan_buf_RMP400_MAX_ACCEL (char** buf, RMP400_MAX_ACCEL *x, int nDim, int *dims );
int scan_buf_RMP400_STR (char** buf, RMP400_STR *x, int nDim, int *dims );
int scan_buf_RMP400_MEPOS_POSTER_STR (char** buf, RMP400_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP400_ODO_POSTER_STR (char** buf, RMP400_ODO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP400_REF_POSTER_STR (char** buf, RMP400_REF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP400_STATUS_POSTER_STR (char** buf, RMP400_STATUS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP400_STATUSGENERIC_POSTER_STR (char** buf, RMP400_STATUSGENERIC_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* RMP400_SCAN_H */

